Kerbal Space Program - Bug #13213

Small kraken in terrain near KSP
11/10/2016 03:21 AM - mdosogne

Status: Confirmed Start date: 11/10/2016
Severity: Normal % Done: 10%
Assignee:

Category: Buildings

Target version:

Version: 1.21 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

Just built a new rover and went for a drive near KSP. The rover handles really well, to the point of hitting the craslerway edge-on at
20m/s, getting airborne and surviving... but | hit an invisible bump in the grasslands near KSC and it exploded and flipped over, with
both crew ejected from seats. Upon closer inspection, there appears to be a thin crack / glitch in the terrain near (0A°10' S, 75A°20'
W).

History

#1 - 11/10/2016 03:50 AM - mdosogne

NOTE: the only mod installed is KER (to locate the problem).

Terrain detail was set to Default when the problem occurred.

Re-loading a save at that location produces inconsistent results - size of crack and direction from which it can be seen varies, as well as the
difference in ground-contact elevation on either side of the crack -- but there's always a crack.

Following the crack southward leads to another perpendicular crack at (0A°12'59" S, 75A°20' W)

#2 - 11/11/2016 01:59 AM - Nebbie

There are thin cracks all over on all bodies, even on KSC's runway.

#3 - 11/12/2016 03:46 PM - swjr-swis

See also report #13190 for a similar issue on Minmus (but with a much bigger gap).

#4 - 12/11/2016 12:03 PM - Hexicube
- Status changed from New to Confirmed
- % Done changed from 0 to 10

I've also had this issue, these seams are in a grid and occur wherever the PQS squares join up. The issue is also still present in 1.2.2.

| can also confirm their inconsistency. Each quad varies in position after each quick-load (even for the same quick-save), which is most easily noticed
with a rover as sometimes it will jump up to match the terrain and sometimes will not.

Seams are visible from a distance: http://i.imgur.com/2F8nZnD.png

Seams can sometimes have a width: http://i.imgur.com/NNIMQrL.png

Closest seam to KSC on high terrain quality: http:/i.imgur.com/Xayd6IU.png

This is not an issue with how ground height is calculated, but rather how the absolute position of terrain quads is calculated.
The seams have a consistent height going along them, if it's 10cm at your location it will be 10cm along the entire edge.

Steps to prove inconsistency:

1. Set terrain quality to high (higher quality makes seams more frequent)

2. Make a rover and drive west (towards mountain range) until you find a crack (should be 1/3rd the length of the runway away)
3. Park on top of the crack

4. Quick-save, and repeatedly quick-load

Every time you quick-load the crack is different, and sometimes your wheels are in the ground.

This is also arguably game-breaking, since it causes issues with rovers and could potentially cause a base to pop out of the ground and explode.

This is not related to #13190, as the issue there is a single terrain vertex being incorrect as opposed to entire quads.
